import 'package:device_preview_minus/src/frame/info/device_type.dart';
import 'package:device_preview_minus/src/frame/info/identifier.dart';
import 'package:device_preview_minus/src/frame/info/info.dart';
import 'package:flutter/material.dart';

part 'frame.g.dart';
part 'screen.g.dart';

final info = DeviceInfo(
  identifier: const DeviceIdentifier(
    TargetPlatform.iOS,
    DeviceType.tablet,
    'ipad',
  ),
  name: 'iPad',
  pixelRatio: 2.0,
  frameSize: const Size(1673, 2409),
  screenSize: const Size(810.0, 1080.0),
  safeAreas: const EdgeInsets.only(
    left: 0.0,
    top: 20.0,
    right: 0.0,
    bottom: 0.0,
  ),
  rotatedSafeAreas: const EdgeInsets.only(
    left: 0.0,
    top: 20.0,
    right: 0.0,
    bottom: 0.0,
  ),
  framePainter: const _FramePainter(),
  screenPath: _screenPath,
);
